tokyocabinet-haskell-0.0.5: Haskell binding of Tokyo Cabinet

Safe Haskell | None

Database.TokyoCabinet.Map.C

# Documentation

data Map k v Source

Constructors

Map |

Fields

unMap :: !(ForeignPtr MAP)

Instances

Associative Map |

data MAP Source

c_tcmapnew :: IO (Ptr MAP)Source

c_tcmapnew2 :: Word32 -> IO (Ptr MAP)Source

c_tcmapdup :: Ptr MAP -> IO (Ptr MAP)Source

c_tcmapdel :: Ptr MAP -> IO ()Source

tcmapFinalizer :: FunPtr (Ptr MAP -> IO ())Source

c_tcmapput :: Ptr MAP -> Ptr Word8 -> CInt -> Ptr Word8 -> CInt -> IO ()Source

c_tcmapput2 :: Ptr MAP -> CString -> CString -> IO ()Source

c_tcmapputkeep :: Ptr MAP -> Ptr Word8 -> CInt -> Ptr Word8 -> CInt -> IO Bool Source

c_tcmapputkeep2 :: Ptr MAP -> CString -> CString -> IO Bool Source

c_tcmapputcat :: Ptr MAP -> Ptr Word8 -> CInt -> Ptr Word8 -> CInt -> IO ()Source

c_tcmapputcat2 :: Ptr MAP -> CString -> CString -> IO ()Source

c_tcmapout :: Ptr MAP -> Ptr Word8 -> CInt -> IO Bool Source

c_tcmapout2 :: Ptr MAP -> CString -> IO Bool Source

c_tcmapget :: Ptr MAP -> Ptr Word8 -> CInt -> Ptr CInt -> IO (Ptr Word8)Source

c_tcmapget2 :: Ptr MAP -> CString -> IO CString Source

c_tcmapmove :: Ptr MAP -> Ptr Word8 -> CInt -> Bool -> IO Bool Source

c_tcmapmove2 :: Ptr MAP -> CString -> Bool -> IO Bool Source

c_tcmapiterinit :: Ptr MAP -> IO ()Source

c_tcmapiternext :: Ptr MAP -> Ptr CInt -> IO (Ptr Word8)Source

c_tcmapiternext2 :: Ptr MAP -> IO CString Source

c_tcmaprnum :: Ptr MAP -> IO Word64 Source

c_tcmapmsiz :: Ptr MAP -> IO Word64 Source

c_tcmapkeys :: Ptr MAP -> IO (Ptr LIST)Source

c_tcmapvals :: Ptr MAP -> IO (Ptr LIST)Source

c_tcmapaddint :: Ptr MAP -> Ptr Word8 -> CInt -> CInt -> IO CInt Source

c_tcmapadddouble :: Ptr MAP -> Ptr Word8 -> CInt -> CDouble -> IO CDouble Source

c_tcmapclear :: Ptr MAP -> IO ()Source

c_tcmapcutfront :: Ptr MAP -> CInt -> IO ()Source

c_tcmapdump :: Ptr MAP -> Ptr CInt -> IO (Ptr Word8)Source

c_tcmapload :: Ptr Word8 -> CInt -> IO (Ptr MAP)Source